#
# spec file for package gnome2-NLD (Version 10.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gnome-icon-theme gnome-themes gpm grep groff gtk2 gtk2-engines gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tango-icon-theme tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           gnome2-NLD
BuildRequires:  gnome-filesystem gnome-themes
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        10.0
Release:        32.6
Summary:        Distribution Default Settings for the GNOME 2.x Desktop
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
PreReq:         filesystem /bin/rm
Provides:       gnome2-SuSE
Obsoletes:      gnome2-SuSE
Requires:       gtk2-engines gtk-engines

%description
This package contains default settings for the GNOME 2.x Desktop, that
will be set when a new user logs in.  The package includes
preconfiguration in the form of gconf schemas, background wallpapers,
panel graphics, and other things. A completely different set of default
settings can be set for the root user.



Authors:
--------
    Holger Hetterich <hhetter@suse.de>

%debug_package
%prep
%setup -q -n gnome2-defaults-%{version}

%build

%install
./install.sh $RPM_BUILD_ROOT
# initiate a gconf.defaults database rebuild
find $RPM_BUILD_ROOT -name *real* -exec rm -v {} \;

%pre
# Remove orphan files (last created in 10.0)
rm -f\
 var/adm/SuSEconfig/run-gconf2-schema-installation\
 var/adm/SuSEconfig/run-gconf2-initial

%files 
%defattr(-,root,root)
%doc schemas/README
%dir /opt/gnome/share/dist
/opt/gnome/share/dist/wallpapers
/opt/gnome/share/dist/icons
/opt/gnome/share/dist/desktop-files
/opt/gnome/share/dist/short-menu
/opt/gnome/share/dist/splash
/opt/gnome/share/dist/gnome1
/opt/gnome/bin/Intro
/opt/gnome/share/gdm/themes/GDM-SuSE
/opt/gnome/share/pixmaps/panel-tile.png
/opt/gnome/share/pixmaps/suse-menustripe.png
/opt/gnome/share/icons
/opt/gnome/share/themes/*
/opt/gnome/share/dist/kde-preconf
/opt/gnome/share/gnome-background-properties

%changelog -n gnome2-NLD
* Thu Jun 01 2006 - dobey@suse.de
- Update GDM theme name/description to be appropriate for branding
* Fri May 19 2006 - dobey@suse.de
- Update GDM theme for pam-message label
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=175519
* Fri May 05 2006 - jpr@suse.de
- Remove errant vim backup file
* Tue Apr 11 2006 - dobey@suse.de
- Update Gilouche gtk+ theme to fix group selection colors in the
  app browser and control center UIs
* Thu Apr 06 2006 - dobey@suse.de
- Update Gilouche gtk+ theme to fix colors in main menu, and the
  app browser and control center panel side strips
* Wed Apr 05 2006 - dobey@suse.de
- Update Gilouche gtk+ theme
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=160984
* Tue Apr 04 2006 - kukuk@suse.de
- Obsolete gnome2-SuSE
* Mon Mar 13 2006 - dobey@suse.de
- Update Gilouche Metacity and GTK+ themes
- Update gnome session splash for new colors/branding
* Thu Mar 09 2006 - dobey@suse.de
- Update GDM theme to use new blue colors
* Mon Mar 06 2006 - dobey@suse.de
- Update Chlorophyll theme
- Add in GreyGilouche metacity theme
- Add in Synchronicity theme
* Sun Mar 05 2006 - dobey@suse.de
- Include new default theme Gilouche
* Tue Feb 21 2006 - dobey@suse.de
- Update Chlorophyll index.them to use Industrial icons
- Fix button padding issue with smaller x/y thickness on buttons
* Fri Feb 10 2006 - dobey@suse.de
- Update gdm theme to fix issues with color
* Fri Feb 03 2006 - aj@suse.de
- Correct BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - dobey@suse.de
- Remove patch for 6nome theme that is now removed as well
* Tue Jan 17 2006 - dobey@suse.de
- Update gdm, gtk+ and splash screen for new branding
* Tue Jan 17 2006 - hpj@suse.de
- Add domain logon entry to GDM theme.
* Mon Dec 19 2005 - dobey@suse.de
- Update gdm theme to new artwork for nld 10
* Fri Dec 16 2005 - sbrabec@suse.cz
- Removed obsolete scriptlet, added related old version cleanup.
* Wed Nov 16 2005 - jpr@suse.de
- Initial gdm theme for nld 10
